html,
body {
  margin: 0;
  height: 100%;
  overscroll-behavior-x: none;
  background-color: black;
}

body {
  overflow: hidden;
}

canvas {
  display: block;
  position: absolute;
  top:0px;
  left: 0px;
}

pre.source-viewer {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  /* right: 100%; */
  background-color: rgba(255, 255, 255, 0.95);
  overflow: auto;
  white-space: pre-wrap;
  font-family: Menlo, Monaco, "Courier New", monospace;
  z-index: 1;
}

.source-bt {
  position: fixed;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border: 0;
  background: url("../images/src.svg") no-repeat 50% 50%;
  background-size: contain;
  z-index: 2;
}
.source-bt.close {
  display: none;
  background-image: url("../images/src-close.svg");
  z-index: 2;
}

body.source-open pre.source-viewer {
  display: block;
}
body.source-open .source-bt.open {
  display: none;
}
body.source-open .source-bt.close {
  display: block;
}

@media only screen and (pointer: fine) {
  pre.source-viewer {
    width: 90%;
    font-size: 12px;
    padding: 30px !important;
  }

  .source-bt {
    right: 40px;
    top: 20px;
    width: 40px;
  }
}

/* mobile devices high density */
@media only screen and (pointer: coarse) {
  pre.source-viewer {
    font-size: 18px;
    padding: 5px !important;
  }
  .source-bt {
    right: 40px;
    top: 40px;
    width: 100px;
  }
}
